curl --request POST \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/tickets/{ticket_id}/csat' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"score": 8,
"comment": "Two-person tent, green — replacement for damaged pole set."
}'
{
"recorded": true,
"low_score": true,
"eval_case_recorded": true
}
Record csat
CSAT recorded; a low score also files a golden eval case when possible.
POST
/
v1
/
brands
/
{brand_id}
/
tickets
/
{ticket_id}
/
csat
curl --request POST \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/tickets/{ticket_id}/csat' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"score": 8,
"comment": "Two-person tent, green — replacement for damaged pole set."
}'
{
"recorded": true,
"low_score": true,
"eval_case_recorded": true
}
Path parameters
string (uuid)
required
string (string)
required
Request body
object
integer
required
string
Response
object
boolean
required
boolean
required
boolean
required
Status codes
| Code | Meaning |
|---|---|
200 | CSAT recorded; a low score also files a golden eval case when possible. |
400 | Validation error |
401 | Unauthorized |
404 | Not found |
429 | Rate limited |
500 | Internal error |
curl --request POST \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/tickets/{ticket_id}/csat' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"score": 8,
"comment": "Two-person tent, green — replacement for damaged pole set."
}'
{
"recorded": true,
"low_score": true,
"eval_case_recorded": true
}
Last modified on August 31, 2026